<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.hwmf.record.HwmfObjectTableEntry (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.hwmf.record.HwmfObjectTableEntry (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
               title="interface in org.apache.poi.hwmf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwmf/record/class-use/HwmfObjectTableEntry.html"
               target="_top">Frames</a></li>
        <li><a href="HwmfObjectTableEntry.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.hwmf.record.HwmfObjectTableEntry" class="title">Uses of Interface<br>org.apache.poi.hwmf.record.HwmfObjectTableEntry
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                        title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.draw">org.apache.poi.hwmf.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.record">org.apache.poi.hwmf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwmf.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                   title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a> in <a
                            href="../../../../../../org/apache/poi/hwmf/draw/package-summary.html">org.apache.poi.hwmf.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwmf/draw/package-summary.html">org.apache.poi.hwmf.draw</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HwmfGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#addObjectTableEntry-org.apache.poi.hwmf.record.HwmfObjectTableEntry-">addObjectTableEntry</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                    title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a>&nbsp;entry)</code>
                                <div class="block">Adds an record of type <a
                                        href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                        title="interface in org.apache.poi.hwmf.record"><code>HwmfObjectTableEntry</code></a>
                                    to the object table.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwmf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                   title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a> in <a
                            href="../../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a> that implement <a
                                href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibBitBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibBitBlt</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibStretchBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibStretchBlt</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetDibToDev.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetDibToDev</a></span></code>
                                <div class="block">The META_SETDIBTODEV record sets a block of pixels in the playback
                                    device context
                                    using deviceindependent color data.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchDib.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchDib</a></span></code>
                                <div class="block">The META_STRETCHDIB record specifies the transfer of color data from
                                    a
                                    block of pixels in device independent format according to a raster operation,
                                    with possible expansion or contraction.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreateBrushIndirect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreateBrushIndirect</a></span></code>
                                <div class="block">The META_CREATEBRUSHINDIRECT record creates a Brush Object
                                    from a LogBrush Object.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePatternBrush.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePatternBrush</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePenIndirect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePenIndirect</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfDibCreatePatternBrush.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfDibCreatePatternBrush</a></span></code>
                                <div class="block">The META_DIBCREATEPATTERNBRUSH record creates a Brush Object with a
                                    pattern specified by a DeviceIndependentBitmap (DIB) Object
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfAnimatePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfAnimatePalette</a></span></code>
                                <div class="block">The META_ANIMATEPALETTE record redefines entries in the logical
                                    palette that
                                    is defined in the playback device context with the specified Palette object

                                    The logical palette that is specified by the Palette object in this record is the
                                    source of the palette changes, and the logical palette that is currently selected
                                    into the playback device context is the destination.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfCreatePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfCreatePalette</a></span></code>
                                <div class="block">The META_CREATEPALETTE record creates a Palette Object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfPaletteParent.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfPaletteParent</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfResizePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfResizePalette</a></span></code>
                                <div class="block">The META_RESIZEPALETTE record redefines the size of the logical
                                    palette that is defined in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfSetPaletteEntries.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfSetPaletteEntries</a></span></code>
                                <div class="block">The META_SETPALENTRIES record defines RGB color values in a range of
                                    entries in the logical
                                    palette that is defined in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfCreateFontIndirect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfCreateFontIndirect</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfCreateRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfCreateRegion</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfExcludeClipRect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfExcludeClipRect</a></span></code>
                                <div class="block">The META_EXCLUDECLIPRECT record sets the clipping region in the
                                    playback device context to the
                                    existing clipping region minus the specified rectangle.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfIntersectClipRect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfIntersectClipRect</a></span></code>
                                <div class="block">The META_INTERSECTCLIPRECT record sets the clipping region in the
                                    playback device context to the
                                    intersection of the existing clipping region and the specified rectangle.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetClipRgn.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetClipRgn</a></span></code>
                                <div class="block">The META_OFFSETCLIPRGN record moves the clipping region in the
                                    playback device context by the
                                    specified offsets.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
               title="interface in org.apache.poi.hwmf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwmf/record/class-use/HwmfObjectTableEntry.html"
               target="_top">Frames</a></li>
        <li><a href="HwmfObjectTableEntry.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
